'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TableBlock = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _table = require('./components/table');

var _table2 = _interopRequireDefault(_table);

var _style = {
  "table": "draftJsEmojiPlugin__table__39DpF",
  "even": "draftJsEmojiPlugin__even__Hc165"
};

var _style2 = _interopRequireDefault(_style);

var _draftNestedEditor = require('./draft-nested-editor');

var _draftNestedEditor2 = _interopRequireDefault(_draftNestedEditor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultTheme = _extends({}, _style2.default);

var tablePlugin = function tablePlugin(config) {
  var type = config.type || 'block-table';
  var NestedEditor = (0, _draftNestedEditor2.default)(config.PluginEditor);
  var theme = config.theme ? config.theme : defaultTheme;

  var renderNestedEditor = function renderNestedEditor(block, editorState, onChange, setFocus, active) {
    var pluginEditor = block.props.blockProps.pluginEditor;

    return _react2.default.createElement(NestedEditor, _extends({}, pluginEditor.props, { setFocus: setFocus, setReadOnly: pluginEditor.setReadOnly, readOnly: !active, editorState: editorState, onChange: onChange }));
  };

  var component = (0, _table2.default)({ theme: theme, renderNestedEditor: renderNestedEditor });

  return {
    // Handle 'block-image' block-type with Image component
    blockRendererFn: function blockRendererFn(contentBlock) {
      var blockType = contentBlock.getType();
      if (blockType === type) {
        return {
          component: component,
          props: {
            renderNestedEditor: renderNestedEditor
          }
        };
      }return undefined;
    }
  };
};

exports.default = tablePlugin;
var TableBlock = exports.TableBlock = (0, _table2.default)({ theme: _style2.default });